List Service Categories
GET
/businesses/{businessId}/service-categories
const url = 'https://api.upvio.com/v1/businesses/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/service-categories';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.upvio.com/v1/businesses/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/service-categories \ --header 'Authorization: Bearer <token>'List Service Categories within a Business
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”businessId
required
string format: uuid
Business ID
Responses
Section titled “Responses”List of Service Categories
Media typeapplication/json
object
data
Array<object>
ServiceCategoryobject
id
Unique identifier across the platform.
string format: uuid
createdAt
Time when the resource was created (ISO 8601 format).
string format: date-time
updatedAt
Time when the resource was created (ISO 8601 format).
string format: date-time
name
required
string
bookingURL
The URL for patients to book this service category.
string
Example generated
{ "data": [ { "name": "example", "bookingURL": "example" } ]}The request is invalid.
Media typeapplication/json
object
error
object
code
number
type
The specific error that occurred.
string
title
Human-readable description of the error.
string
Example
{ "error": { "code": 400, "type": "BadRequestError", "title": "Business ID does not match API key" }}The API key is missing or invalid, or the Business cannot be accessed with it.
Media typeapplication/json
object
error
object
code
number
type
The specific error that occurred.
string
title
Human-readable description of the error.
string
Example
{ "error": { "code": 403, "type": "UnauthorizedError", "title": "Invalid API token" }}The Business does not exist.
Media typeapplication/json
object
error
object
code
number
type
The specific error that occurred.
string
title
Human-readable description of the error.
string
Example
{ "error": { "code": 404, "type": "BusinessNotFoundError", "title": "Business not found" }}